Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 24 Nov 2022 18:05:29 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers I placed an order online for guess bag. On the app I see screen flash saying get guaranteed talabat voucher, ekar voucher, dominos voucher, rehlat voucher with every order. I spoke to your executive on call centre and they mentioned that I would receive a sms message with vouchers once my order is delivered. I have not received any such messages yet.

I don’t understand why things cannot be simple and transparent. How will I receive the vouchers? https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5340926